package com.gic.haoban.manage.api.dto.chat;

import java.io.Serializable;

public class GroupChatHmMemberRelationDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 群活码 ID
     */
    private Long chatHmId;

    /**
     * 群活码编码
     */
    private String chatHmCode;

    /**
     * 群活码名称
     */
    private String name;

    /**
     * 群活码 URL
     */
    private String wxQrCode;

    /**
     * 会员是否已加入，1-已加入，0-未加入
     */
    private Integer memberIsJoin = 0;

    public Long getChatHmId() {
        return chatHmId;
    }

    public void setChatHmId(Long chatHmId) {
        this.chatHmId = chatHmId;
    }

    public String getChatHmCode() {
        return chatHmCode;
    }

    public void setChatHmCode(String chatHmCode) {
        this.chatHmCode = chatHmCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getWxQrCode() {
        return wxQrCode;
    }

    public void setWxQrCode(String wxQrCode) {
        this.wxQrCode = wxQrCode;
    }

    public Integer getMemberIsJoin() {
        return memberIsJoin;
    }

    public void setMemberIsJoin(Integer memberIsJoin) {
        this.memberIsJoin = memberIsJoin;
    }
}
